#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "ShopManager.generated.h"

class UDBDGameInstance;

UCLASS(Blueprintable)
class DEADBYDAYLIGHT_API UShopManager : public UObject
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, Transient)
	TWeakObjectPtr<UDBDGameInstance> _gameInstance;

public:
	UShopManager();
};

FORCEINLINE uint32 GetTypeHash(const UShopManager) { return 0; }
